%define upstream_name    POE-Component-Client-NTP
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A POE Component to query NTP servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Net::IP)
BuildRequires: perl(POE)
BuildRequires: perl(Socket)
BuildArch: noarch

%description
POE::Component::Client::NTP is a the POE manpage component that provides
Network Time Protocol (NTP) client services to other POE sessions and
components.

NTP is a protocol for synchronising the clocks of computer systems over
data networks and is described in RFC 1305 and RFC 2030.

The code in this module is derided from the Net::NTP manpage by James G.
Willmore

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README LICENSE Changes META.yml META.json examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 05 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 163469
- imported package perl-POE-Component-Client-NTP


* Sat Nov 05 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
